<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<head>
<title>Hello JSF</title>
</head>

<body>
	#{ helloJSF.hello } #{ helloJSF.random }
	<h:outputText value="#{ helloJSF.random }"
		rendered="#{ helloJSF.random lt 0 }" />

	<h:dataTable value="#{ listBean.integers }" var="item">
		<h:column>
			<f:facet name="header">item</f:facet>
 		blah blah
 		#{ item }
	</h:column>
		<h:column>
			<f:facet name="header">item multiplied by 2</f:facet>
	 	#{ item * 2 }
 	</h:column>
	</h:dataTable>
</body>
</html>